s_hd_t::is_s Struct Reference
Public interface

`#include <hd.h>`

## Data Fields

unsigned | agp:1
| AGP device.
unsigned | isapnp:1
| ISA-PnP device.
unsigned | notready:1
| block devices: no medium, other: device not configured
unsigned | manual:1
| undetectable, manually configured hardware
unsigned | softraiddisk:1
| disk belongs to some soft raid array
unsigned | zip:1
| zip floppy
unsigned | cdr:1
| CD-R.
unsigned | cdrw:1
| CD-RW.
unsigned | dvd:1
| DVD.
unsigned | dvdr:1
| DVD-R.
unsigned | dvdrw:1
| DVD-RW.
unsigned | dvdrdl:1
| DVD-R DL.
unsigned | dvdpr:1
| DVD+R.
unsigned | dvdprw:1
| DVD+RW.
unsigned | dvdprdl:1
| DVD+R DL.
unsigned | dvdprwdl:1
| DVD+RW DL.
unsigned | bd:1
| BD.
unsigned | bdr:1
| BD-R.
unsigned | bdre:1
| BD-RE.
unsigned | hd:1
| HD.
unsigned | hdr:1
| HD-R.
unsigned | hdrw:1
| HD-RW.
unsigned | dvdram:1
| DVDRAM.
unsigned | mo:1
| MO.
unsigned | mrw:1
| MRW.
unsigned | mrww:1
| MRW-W.
unsigned | pppoe:1
| PPPOE modem connected.
unsigned | wlan:1
| WLAN card.
unsigned | with_acpi:1
| acpi works fine
unsigned | hotpluggable:1
| hotpluggable storage device
unsigned | dualport:1
| OSA Express device with two ports (S/390).
unsigned | fcoe:1
| fcoe device
unsigned | fcoe_offload:2
| fcoe offload capable device
unsigned | iscsi_offload:2
| iscsi offload capable device
unsigned | storage_only:2
| storage only network interface

The documentation for this struct was generated from the following file:

- hd.h